#header {
  width: 100%;

  display: flex;
  flex-direction: row;
  justify-content: space-between;

  position: absolute;
  top: 0;
  left: 0;
  margin-left: 0;
  margin-right: 0;

  z-index: 1000; /* Ensure header is above other content */
}

#header .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 32px 48px;
}

#header .custom-logo {
  height: 40px;
}

#header .menu ul {
  display: flex;
  flex-direction: row;
  list-style: none;
  padding: 0;
  margin: 0;
  gap: 36px;
}

#header .menu ul li {
  position: relative;

  font-size: 20px;
  font-weight: 600;
  text-transform: uppercase;
  text-decoration: none;
}

#header .menu ul li a {
  color: inherit; /* Inherit color from parent */
  color: var(--color-white); /* Adjust as needed */

  text-decoration: none; /* Remove underline */
}

#header .menu ul li:hover a {
  text-decoration: underline; /* Underline on hover */
  text-underline-offset: 4px; /* Adjust underline offset */
}

#header .menu ul .current_page_item a {
  text-decoration: underline; /* Underline for current page */
  text-underline-offset: 4px; /* Adjust underline offset */
  text-decoration-thickness: 1px; /* Adjust thickness of underline */
}

/* XXL Screens (1800px and up) */
@media (min-width: 1800px) {
}

/* XL Screens (1600px-1799px) */
@media (min-width: 1600px) and (max-width: 1799px) {
}

/* Large Screens (1400px-1599px) */
@media (min-width: 1400px) and (max-width: 1599px) {
}

/* Medium-Large Screens (1200px-1399px) */
@media (min-width: 1200px) and (max-width: 1399px) {
}

/* Small-Medium Screens (max-width: 1199px) */
@media (max-width: 1199px) {
  #menu {
    /* display: none; Hide the menu on small screens */
  }
}

/* Small Screens (max-width: 992px) */
@media (max-width: 992px) {
  #header {
    /* width: unset !important  ; */
    /* padding: 24px 24px; */
  }

  #header .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    padding: 24px 24px;
  }
}

/* Mobile Screens (max-width: 768px) */
@media (max-width: 768px) {
  #header .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    padding: 24px 24px;
  }
}
